Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding
Class SOAPMappingRegistry

    java.lang.Object
      |
      +--org.apache.soap.util.xml.XMLJavaMappingRegistry
            |
            +--org.apache.soap.encoding.SOAPMappingRegistry

public class SOAPMappingRegistry
extends XMLJavaMappingRegistry

A `SOAPMappingRegistry` object is an `XMLJavaMappingRegistry` with pre-registered serializers and deserializers to support SOAP.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Sanjiva Weerawarana (sanjiva@watson.ibm.com), Francisco Curbera (curbera@us.ibm.com), Sam Ruby (rubys@us.ibm.com), Glen Daniels (gdaniels@allaire.com)

Field Summary
`static MimePartSerializer` | `partSer`

Constructor Summary
`SOAPMappingRegistry()` Create a new SMR.
`SOAPMappingRegistry(SOAPMappingRegistry parent)` This constructor takes a "parent" registry as a base registry.
`SOAPMappingRegistry(SOAPMappingRegistry parent, java.lang.String schemaURI)` This constructor is the base constructor.

Method Summary
`static SOAPMappingRegistry` | `getBaseRegistry(java.lang.String schemaURI)` Return the singleton registry instance configured for the indicated schema URI.
`SOAPMappingRegistry` | `getParent()` Returns the "parent" registry, if there is one.
`java.lang.String` | `getSchemaURI()` Return the schemaURI that was used to create this registry instance.
`protected Deserializer` | `queryDeserializer_(QName elementType, java.lang.String encodingStyleURI)` Override the query deserializer to look at the parent too before saying that a deserializer is not available.
`protected QName` | `queryElementType_(java.lang.Class javaType, java.lang.String encodingStyleURI)` This function overrides the one in XMLJavaMappingRegistry for the sole purpose of returning SOAP-ENC:Array when javaType represents an array.
`protected java.lang.Class` | `queryJavaType_(QName elementType, java.lang.String encodingStyleURI)` Overide the query Javatype to look at the parent too before saying that a Java type is not available.
`protected Serializer` | `querySerializer_(java.lang.Class javaType, java.lang.String encodingStyleURI)` This function overrides the one in XMLJavaMappingRegistry for the sole purpose of returning an ArraySerializer when javaType represents an array.
`void` | `setDefaultEncodingStyle(java.lang.String defEncStyle)` Set the default encoding style.

Methods inherited from class org.apache.soap.util.xml.XMLJavaMappingRegistry
`getClassName, mapTypes, marshall, queryDeserializer, queryElementType, queryJavaType, querySerializer, unmarshall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### partSer

    public static MimePartSerializer partSer

Constructor Detail

### SOAPMappingRegistry

    public SOAPMappingRegistry()

  Create a new SMR. The resulting registry is aware of all pre-defined type mappings.

### SOAPMappingRegistry

    public SOAPMappingRegistry(SOAPMappingRegistry parent)

  This constructor takes a "parent" registry as a base registry. Lookup requests cascade up to the parent while registration requests stay here.

### SOAPMappingRegistry

    public SOAPMappingRegistry(SOAPMappingRegistry parent,
                               java.lang.String schemaURI)

  This constructor is the base constructor. If parent is null, then this is viewed as a base registry and the registry is initialized with all the default mappings etc.. If it is not-null, the no init is done and the parent is assumed to have the stuff in it already.
Parameters:
  `parent` - the "parent" SMR to delegate lookups to if I can't find the stuff in my tables. If parent is null, then I get pre-loaded with all the default type mappings etc. (some of which are based on the schema URI). If parent is not null, the default stuff is not put in - the idea is that in that case the parent already contains the defaults.
  `schemaURI` - the namespace URI of XSD to be used for serializers. Deserializers for all 3 XSD URIs are always registered.

Method Detail

### getBaseRegistry

    public static SOAPMappingRegistry getBaseRegistry(java.lang.String schemaURI)

  Return the singleton registry instance configured for the indicated schema URI. If the schemaURI is unrecognized, the 2001 base registry is returned.

### setDefaultEncodingStyle

    public void setDefaultEncodingStyle(java.lang.String defEncStyle)

  Set the default encoding style. If the query*() calls are invoked with a null encodingStyleURI parameter, we'll use this instead.
  Overrides:
    `setDefaultEncodingStyle` in class `XMLJavaMappingRegistry`

### getSchemaURI

    public java.lang.String getSchemaURI()

  Return the schemaURI that was used to create this registry instance.

### getParent

    public SOAPMappingRegistry getParent()

  Returns the "parent" registry, if there is one. Otherwise, returns null.

### queryElementType_

    protected QName queryElementType_(java.lang.Class javaType,
                                      java.lang.String encodingStyleURI)

  This function overrides the one in XMLJavaMappingRegistry for the sole purpose of returning SOAP-ENC:Array when javaType represents an array. The XMLJavaMappingRegistry will be consulted first, and if no mapping is found, SOAP-ENC:Array is returned. Obviously, this only applies when the encoding style is soap encoding.
  Overrides:
    `queryElementType_` in class `XMLJavaMappingRegistry`

### querySerializer_

    protected Serializer querySerializer_(java.lang.Class javaType,
                                          java.lang.String encodingStyleURI)

  This function overrides the one in XMLJavaMappingRegistry for the sole purpose of returning an ArraySerializer when javaType represents an array. The XMLJavaMappingRegistry will be consulted first, and if no serializer is found for javaType, ArraySerailizer is returned. Obviously, this only applies when the encoding style is soap encoding.
  Overrides:
    `querySerializer_` in class `XMLJavaMappingRegistry`

### queryDeserializer_

    protected Deserializer queryDeserializer_(QName elementType,
                                              java.lang.String encodingStyleURI)

  Override the query deserializer to look at the parent too before saying that a deserializer is not available.
  Overrides:
    `queryDeserializer_` in class `XMLJavaMappingRegistry`

### queryJavaType_

    protected java.lang.Class queryJavaType_(QName elementType,
                                             java.lang.String encodingStyleURI)

  Overide the query Javatype to look at the parent too before saying that a Java type is not available.
  Overrides:
    `queryJavaType_` in class `XMLJavaMappingRegistry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.